/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/8/23
 */
package org.springblade.modules.business.equipment.inspection.report.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;

import org.springblade.modules.business.equipment.inspection.report.dto.EquipmentInspectionReportDTO;
import org.springblade.modules.business.equipment.inspection.report.entity.EquipmentInspectionReportEntity;
import org.springblade.modules.business.equipment.inspection.report.mapper.EquipmentInspectionReportMapper;
import org.springblade.modules.business.equipment.inspection.report.service.IEquipmentInspectionReportService;
import org.springblade.modules.business.equipment.inspection.report.vo.EquipmentInspectionReportVO;
import org.springframework.stereotype.Service;

import java.util.List;

/***
 * Date:2022/8/23
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Service
public class EquipmentInspectionReportServiceImpl extends BaseServiceImpl<EquipmentInspectionReportMapper, EquipmentInspectionReportEntity> implements IEquipmentInspectionReportService {
	@Override
	public List<EquipmentInspectionReportVO> selectList(EquipmentInspectionReportDTO inspectionReportDTO) {
		return baseMapper.selectList(inspectionReportDTO);
	}

	@Override
	public IPage<EquipmentInspectionReportVO> selectPage(IPage<EquipmentInspectionReportVO> page, EquipmentInspectionReportDTO reportDTO) {
		return page.setRecords(baseMapper.selectPage(page, reportDTO));
	}

	@Override
	public Long equipmentInspectionReportCount(EquipmentInspectionReportDTO reportDTO) {
		return baseMapper.equipmentInspectionReportCount(reportDTO);
	}

	@Override
	public List<EquipmentInspectionReportVO> selectTodayReportList(EquipmentInspectionReportDTO inspectionReportDTO) {
		return baseMapper.selectTodayReportList(inspectionReportDTO);
	}

	@Override
	public IPage<EquipmentInspectionReportVO> selectTodayReportPage(IPage<EquipmentInspectionReportVO> page, EquipmentInspectionReportDTO inspectionReportDTO) {
		return page.setRecords(baseMapper.selectTodayReportPage(page, inspectionReportDTO));
	}

	@Override
	public long todayReportCount(EquipmentInspectionReportDTO inspectionReportDTO) {
		return baseMapper.todayReportCount(inspectionReportDTO);
	}

	@Override
	public IPage<EquipmentInspectionReportVO> selectRemainingproblemsPage(IPage<EquipmentInspectionReportVO> page, EquipmentInspectionReportDTO inspectionReportDTO) {
		return page.setRecords(baseMapper.selectRemainingproblemsPage(page, inspectionReportDTO));
	}

	@Override
	public List<EquipmentInspectionReportVO> selectRainSeasonRemainingproblemsList(EquipmentInspectionReportDTO inspectionReportDTO) {
		return baseMapper.selectRainSeasonRemainingproblemsList(inspectionReportDTO);
	}

	@Override
	public List<EquipmentInspectionReportVO> selectRainSeasonUncolseRemainingproblemsList(EquipmentInspectionReportDTO inspectionReportDTO) {
		return baseMapper.selectRainSeasonUncolseRemainingproblemsList(inspectionReportDTO);
	}

	@Override
	public IPage<EquipmentInspectionReportVO> selectNoNetworkSignalPage(IPage<EquipmentInspectionReportVO> page, EquipmentInspectionReportDTO inspectionReportDTO) {
		return page.setRecords(baseMapper.selectNoNetworkSignalPage(page, inspectionReportDTO));
	}
}
